Update an environment object

Update an existing Deployment level or Workspace level environment object.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization to which the environment object belongs.
environmentObjectIdstringRequired
The environment object's ID.

Request

The request body for updating an environment object.
airflowVariableobjectOptional
autoLinkDeploymentsbooleanOptional
Whether or not to automatically link Deployments to the environment object. Only applicable for WORKSPACE scope
connectionobjectOptional
metricsExportobjectOptional

Response

OK
objectKeystring
The key for the environment object
objectTypeenum
The type of environment object
Allowed values:
scopeenum
The scope of the environment object
Allowed values:
scopeEntityIdstring
The ID of the scope entity where the environment object is created
airflowVariableobject
autoLinkDeploymentsboolean
Whether or not to automatically link Deployments to the environment object
connectionobject
createdAtstring

The time when the environment object was created in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ

createdByobject
idstring
The ID of the environment object
metricsExportobject
sourceScopeenum
The source scope of the environment object, if it is resolved from a link
Allowed values:
sourceScopeEntityIdstring
The source scope entity ID of the environment object, if it is resolved from a link
updatedAtstring

The time when the environment object was updated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ

updatedByobject

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
500
Internal Server Error